SOURCES: php-fpm.init - pass --pidfile for start (so ssd knows which is mas...
glen
glen at pld-linux.org
Tue Dec 16 19:53:26 CET 2008
Author: glen Date: Tue Dec 16 18:53:26 2008 GMT
Module: SOURCES Tag: HEAD
---- Log message:
- pass --pidfile for start (so ssd knows which is master process)
- use ssd for shutdown so ssd will would wait for process death
---- Files affected:
SOURCES:
php-fpm.init (1.5 -> 1.6)
---- Diffs:
================================================================
Index: SOURCES/php-fpm.init
diff -u SOURCES/php-fpm.init:1.5 SOURCES/php-fpm.init:1.6
--- SOURCES/php-fpm.init:1.5 Sun Nov 16 19:49:02 2008
+++ SOURCES/php-fpm.init Tue Dec 16 19:53:21 2008
@@ -24,7 +24,7 @@
# Check if the service is already running?
if [ ! -f /var/lock/subsys/php-fpm ]; then
msg_starting "PHP FastCGI Process Manager"
- daemon /usr/bin/php.fpm --fpm --fpm-config /etc/php/fpm.conf
+ daemon --pidfile $pidfile /usr/bin/php.fpm --fpm --fpm-config /etc/php/fpm.conf
RETVAL=$?
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/php-fpm
else
@@ -37,7 +37,8 @@
# Stop daemons.
msg_stopping "PHP FastCGI Process Manager"
# always gracefully shut down php-fpm
- killproc --pidfile $pidfile php-fpm -QUIT
+ /sbin/start-stop-daemon -q --stop -s QUIT --retry QUIT/600/TERM/10 --pidfile $pidfile
+ [ "$?" -eq 0 ] && ok || fail
rm -f /var/lock/subsys/php-fpm
else
msg_not_running "PHP FastCGI Process Manager"
================================================================
---- CVS-web:
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/php-fpm.init?r1=1.5&r2=1.6&f=u
More information about the pld-cvs-commit
mailing list